# Projeto Giuliana Catti
# Arquivo progr1V1.r - Graficos em Portugues
# Criado em 27/11/14
# Autor: Antonio Carlos P. Lima
setwd("~/Dropbox/CEA/projetos/Giuliana")
#setwd("//VBOXSVR/Dropbox/CEA/projetos/Giuliana")
dados <- read.csv("Giuliana_SurvivalData.csv",sep=",",header=TRUE)
library(survival)
distribuicao <- "weibull"
# Modelo Weibull
modeloaditivo = survreg(Surv(tempo,delta)~sexo + tratamento, dist = distribuicao, data = dados)
modelo1 = survreg(Surv(tempo, delta) ~ sexo + tratamento + sexo:tratamento, dist = distribuicao, data = dados)
summary(modelo1)
anova(modeloaditivo,modelo1)
#
# Recodificacao para entender interacao
#
dados$SSF <- ifelse(dados$tratamento=="HBSS" & dados$sexo=="F",1,0)
dados$SSM <- ifelse(dados$tratamento=="HBSS" & dados$sexo=="M",1,0)
dados$MSCF<- ifelse(dados$tratamento=="MSC" & dados$sexo=="F",1,0)
dados$MSCM<- ifelse(dados$tratamento=="MSC" & dados$sexo=="M",1,0)
dados$PERF<- ifelse(dados$tratamento=="Pericito" & dados$sexo=="F",1,0)
dados$PERM<- ifelse(dados$tratamento=="Pericito" & dados$sexo=="M",1,0)

modelo2 = survreg(Surv(tempo, delta) ~ SSM + MSCF + MSCM + PERF +PERM, dist = distribuicao, data = dados)
summary(modelo2)

modelo3 = survreg(Surv(tempo, delta) ~ SSM + MSCM + PERM, dist = distribuicao, data = dados)
summary(modelo3)

# Teste da razao de verossimilhancas parciais para comparar todos tratamentos para femeas
anova(modelo2,modelo3)
# -2*(modelo3$loglik[2]-modelo2$loglik[2])
# pchisq(-2*(modelo3$loglik[2]-modelo2$loglik[2]),2,lower.tail = FALSE)
##

modelo4 = survreg(Surv(tempo, delta) ~ I(SSM + MSCM + PERM), dist = distribuicao, data = dados)
summary(modelo4)

# Teste da razao de verossimilhancas parciais para comparar todos tratamentos para machos
anova(modelo3,modelo4)
# -2*(modelo3$loglik[2]-modelo2$loglik[2])
# pchisq(-2*(modelo4$loglik[2]-modelo2$loglik[2]),2,lower.tail = FALSE)

modelo5 = survreg(Surv(tempo, delta) ~ MSCM + PERM, dist = distribuicao, data = dados)
summary(modelo5)
# Teste da razao de verossimilhancas parciais para comparar SS Masc com mulheres todos tratamentos
anova(modelo5, modelo3)
# -2*(modelo5$loglik[2]-modelo2$loglik[2])
# pchisq(-2*(modelo5$loglik[2]-modelo2$loglik[2]),1,lower.tail = FALSE)

modelo6 = survreg(Surv(tempo, delta) ~ SSM + MSCM, dist = distribuicao, data = dados)
summary(modelo6)
# Teste da razao de verossimilhancas parciais para comparar Pericito Masc com mulheres todos tratamentos
anova(modelo6, modelo3)
# -2*(modelo6$loglik[2]-modelo4a$loglik[2])
# pchisq(-2*(modelo6$loglik[2]-modelo4a$loglik[2]),1,lower.tail = FALSE)

modelo7 = survreg(Surv(tempo, delta) ~ SSM + PERM , dist = distribuicao, data = dados)
summary(modelo7)
# Teste da razao de verossimilhancas parciais para comparar MSC Masc com mulheres todos tratamentos
anova(modelo7, modelo3)


modelo8 = survreg(Surv(tempo, delta) ~ I(SSM + MSCM) , dist = distribuicao, data = dados)
summary(modelo8)

# Teste da razao de verossimilhancas parciais para juntar pericito machos com todos tratamentos para femeas
anova(modelo6, modelo8)
#-2*(modelo8$loglik[2]-modelo7$loglik[2])
#pchisq(-2*(modelo8$loglik[2]-modelo7$loglik[2]),1,lower.tail = FALSE)


#modelo final
modelo9 = survreg(Surv(tempo,delta) ~ I(SSM + MSCM), dist = distribuicao, data=dados)
summary(modelo9)

#Curvas de sobrevivencias do modelo ajustado - duas curvas para os dois grupos
# dummy <- data.frame(SSM  = c(1 , 0),
#                     MSCM = c(0 , 0),
#                     PERM = c(0 , 0),
#                     SSF  = c(0 , 0),
#                     MSCF = c(0 , 0),
#                     PERF = c(0 , 0))
# win.metafile("SurvCox.wmf",pointsize=16)
# plot(survfit(modelo9, newdata=dummy), col=c(4,9),lwd=c(2,2),las=1,
#      main="Estimativa de Cox para a Função de Sobrevivência\n Modelo Final",
#      las=1,xlab="Tempo (dias)",ylab="Sobrevivência Estimada")
# legend(5,0.20,col=c(4,9),lwd=c(2,2),legend = c("Machos (MSCs ou Veículo)",
#                                                "Fêmeas e Machos (Pericitos)"))
# grid()
# dev.off()

# plot(predict(modelo9, newdata=list(SSM=1, MSCM=0, PERM =0, SSF=0, MSCF=0, PERF=0),type="quantile",p=seq(.01,.99,by=.01)),seq(.99,.01,by=-.01),col="blue", type = "l")
# lines(predict(modelo9, newdata=list(SSM=0, MSCM=0, PERM =0, SSF=0, MSCF=0, PERF=0),type="quantile",p=seq(.01,.99,by=.01)),seq(.99,.01,by=-.01),col="red")
